<?php

if ($this->HasAccess("comment") || $this->IsAdmin())
{
	$redirectmessage = "";

	$body = nl2br($this->htmlspecialchars_ent(trim($_POST["body"])));

	if (!$body)
	{
		$redirectmessage = "コメント本文が空です。保存できません！";
	}
	else
	{
		// store new comment
		$this->SaveComment($this->tag, $body);
	}
	
	// redirect to page
	$this->redirect($this->Href(), $redirectmessage);
}
else
{
	print("<div class=\"page\"><em>申し訳ありません。あなたは本ページにコメントの投稿を許されていません。</em></div>\n");
}

?>